Purpose of the program "Images Generator" and area of application.

Purpose of the program and area of application.

Program " Images generator " is an image-editing application with a wide scope that lets you create original graphics. The graphic editor allows creating from elements of Web pages as banners, backgrounds, headings, dividing lines, buttons, menu, navigation panels, textures to whole professionally executed Web sites. You can create drawings for engineering and science, painted art, 3d scenes, wallpaper and craft projects, textile patterns, desktop applications, logo, îrnaments, trademarks and others.


Distinctive features of the program.

The program " Images Generator " as against the popular graphic editors cannot be referred exactly to vector or bitmap graphic. The advantages as vector and bitmap graphic are used. In comparison with the existing programs in the given program the emphasis on creation of the images is made though the functions of editing also are available. Original mathematical method, having scientific novelty, is used in this program. It allows creating additional opportunities and specific graphic effects. The function of the developer is configuring of initial parameters and choice from plenty of created images. The amount of variants of the created images practically is not limited.

Main distinctive features are:

  • Gradient fill is carried out with allowance for image area borders. Lines which configuration is determined by image area borders are used for this. Examples.
  • 3D graphic. Various methods allow creating 3D images using familiar 2D graphic tools. Examples
  • Unlimited amount of shape templates. For tens built - in templates you can to choose sizes, angle of turn and proportions. You can to combine these templates to create new one. Examples
  • Plenty patterns may be used to painting image area. Examples
  • Cool new effects let you to create unique images. Examples

Except for that Images Generator has functions and tools, which traditionally are used for drawing and editing images. There are tens filters, selection tools, alpha channel and multiple channels, format converters and others


Principle of work and terminology.

The created image consists from independent elements, which can be placed one above another. We shall call these elements as clips. Clips are determined by three groups of parameters. These groups of parameters determine the shape, used colors and pattern. Groups are independent among themselves. The set of parameters of one group is compatible with any set of parameters of other group. Function of the developer is installation of settings, which determine these parameters.
The sizes and arrangement of a clip are determined by the sizes and arrangement of the Image window area, selected for it. Selected Image area we will call as selection. The border of selection can be shown a dashed line.

Selection can be determined by various ways. Selection can be determined by dragging of the mouse. For determination of selection shape templates can be used. You can set border of selection having determined border of an one-color figure,

The creation of the image is carried out as follows. The user specifies settings with the help of toolboxes and mouse and click button "Go". It results in creation of a clip. Then user changes settings and creates the following clip and so on. Consisting from one or several clips image can be updated with the help of built-in standard editing tools.

For installation of settings window "Image prototype window", tool panels and dialogue windows "Shape", "Sizes and an arrangement", "Pattern", "Rotation", "Duplicate", "Text", "Effects" and others are used. The clip is formed by performance of two procedures, each of which can be carried out separately. There are painting over selection area and leading round selection border. Painting over selection area can be executed by mosaic accommodation of textures or consecutive realization of connections. Connection is pieces of straight lines and curves consistently connected among themselves. Methods of creating images more detail click here.

There are three modes, in which the construction of the images is carried out by consecutive realization of connections. These modes are automatic mode, manual mode and multioutline. If automatic mode or manual mode is used then end points of connection are the points, lying on border of the clip. If multioutline mode is used then initial and final end points coincide. Border points represented in image prototype window by circles of dark blue color.

When you press the button "Go" a series of connections is formed, that results formation of pattern within the limits of borders of the clip. The configuration of connection is determined by a choice of its end nodes. The ends of connections are determined by program in an automatic mode and are determined by the user in a manual mode. The realization of connection between two points is carried out according to algorithm of functioning of the program. Settings determine this parameters: amount border points or Vertical and Horizontal density, amount of connections, width and height of clips, set of used colors, mode of imposing of colors, color of a background, shape of the clip, orientation of axes, value of time delays.

Check boxes "Automatic mode", "MultiOutline", "Manual mode" and "Complex mode" of toolbox "Pattern" allow choosing mode of painting over image area. If the manual mode is chosen, user sets end points, width and color for each connection. Image prototype window is used for this purpose. If the automatic mode is chosen one from standard style can be chosen. Other parameters are set with the help of elements of toolbox "Pattern" and toolbox "Colors".

Clips, created in "Multioutline" mode, consist of one or several connections, each of which duplicates the shape of the clip in some scale. The color of connections is determined with the help of elements of toolbox "Colors" or, if check box "Color panel using" is checked, with the help of elements of toolbox "Pattern".

Elements of toolbox "Sizes and arrangements" allow to sets this parameters: the sizes of the image, the sizes and axial displacement of clip, time characteristics.

Toolbox "Colors" is used to set the color characteristics. Toolbox "Shape" is used to make choice of the shape of clip. Toolbox "Rotate" let you rotate, incline, resize and flip image. Toolbox "Duplicate" lets you create new image by means duplication of initial image.

The application contains built - in graphic editor with the following tools of creation and editing image: a pen, a line, curve Bezie, eyedropper, a spray, eraser, fill, zoom and lasso. Shortcuts of these tools are located on panel Toolbar2. A brush is the image created similarly to a clip. Drawing by a brush can be carried out with the help of the mouse or on previously given trajectories. For updating color characteristics the set of filters and effects can be used. Access to main effects is carried out through a dialogue window "Effects".


System Requirements

  • Operation systems: Windows 98/ME/2000/XP
  • CPU: Pentium 160 MHz or higher
  • 32 Mb RAM
  • 10 Mb free disk space
  • SVGA 800x600 True Color video mode


Exploring the application window

The "Images Generator" application window contains elements that help you access the tools and commands you need to view and edit images. Application commands are accessible through the menu bar, toolbox, toolbars.You can customize many of the elements in the application window to suit your workflow.

The application window contains the following main parts:

Menu bar | The area containing drop-down menus with commands grouped by category
Toolbar1, Toolbar2 | A bar that contains shortcuts to some menus and other basic commands, such as opening, saving, printing, and painting
Toolbox | A bar that contains tools for editing, creating, and viewing images. The toolbox also contains the color control area which lets you select colors and fills
Image window | The area in which the image displays. Although more than one image window can be open at the same time, you can apply commands to the active image window only.
Image prototype window | The window in which the image is created by a manual way
Title bar | The area on the image window displaying the title of the image


Toolbar1.

Toolbars consist of buttons that are shortcuts to menu commands. The toolbar1 consists of commonly used commands. The table below outlines the buttons on the toolbar1

Press this button | To
1 | Start a new image window
2 | Open an image.
3 | Save an image
4 | Start creating image
5 | Clean up image window for every start-up
6 | Break creating image
7 | Create brush
8 | Undo
9 | Clean up image window
10 | Show last selection border
11 | Switching between modes of delimitation of selection
12 | Select all
13 | Start toolbox "Shape"
14 | Start toolbox "Color"
15 | Start toolbox "Sizes and arrangement"
16 | Start toolbox "Pattern"
17 | Start toolbox "Resize, flip and rotate"
18 | Start toolbox "Duplicate"
19 | Invert colors of selection
20 | Text
21 | Show or hide toolbar2
22 | Help


Toolbar2.

The table below outlines the buttons on the toolbar2

Buttons | Description
1 | Pen tool. Paint on an image using the foreground color. Left click and drag to draw.
2 | Brush tool. This button let you to draw lines manually with brush that is created with button 7 of toolbar1.
3 | Line tool. Draw single line segments using the foreground color
4 | Bezigon. Draw single or joined straight line segments using the foreground color
5 | Bezie tool. Lets you create paths or add segments to a path.
6 | Spray tool. Parameters of spray may be sets with dropdown elements 7 and 12.
7 | Dropdown element. Lets you to set paint width
8 | Foreground color indicator
9 | Select Foreground color
10 | Eyedropper tool
11 | Eraser tool
12 | Dropdown element. Lets you to set eraser width.
13 | Background color indicator
14 | Select Background color
15 | Lets you access the Fill tool
16 | Change the zoom level
17 | Lets you define irregularly shaped selection


Toolbox "Shape "

Elements of toolbox "Shape" make possible to determine the shape of the clip. Parameters of shape may be sets with help of scroll bars and option buttons, located right part of toolbox. When toolbox "Shape" run you can see three figures. Option buttons and scroll bars, located on the right from there, let you to determine shape of bottom and middle figures. Shape of top figure is determined as sum of bottom and middle figures

Elements description.

1 | Elements "Orientation and turns" are used for updating the clip shape. It change orientation of axes X and Y
2 | Elements "Rotation" enables to carry out rotation of the clip border.
3 | The scroll bar "Distortion" enables to carry out offset of the top border concerning bottom border
4 | Scroll bars let you to determine shape of first component
5 | The first and second components and their sum are displayed.
6 | Help button facilitates choice of the shape
7 | Option buttons let you to determine shape of first component
8 | Scroll bars let you to determine shape of second component
9 | Help button facilitates choice of the shape
10 | Option buttons let you to determine shape of second component


Toolbox Color

Toolbox "Colour"

Color of connections, which make a clip, is determined with the help of toolbox "Color"

Elements description.

1 | Color panel display colors used for creating of clip
2 | Buttons "8 colors", "16 colors", "35 colors","64 colors" and "256 colors" let color panel to display fixed set of colors. The button "1 color" enables to choose sole color manually.
3 | To add or to remove color it is possible clicking the mouse in the appropriate place of the color panel. Thus the switches "Add color" and "Remove color" should be accordingly established.
4,5,6 | The order of colors in a set can be established with the help of this elements: the button "Set color order", switches and text fields "First color", "Second color" and list of functions "Sinusoid", "Gradient", "Exponent", "Triangle", "Dexponent". When you click the button "Set color order" sequence of colors is determined in a range given by the contents of textual fields "First color" and "Second color". The contents of textual fields "First color", "Second color" is determined automatically when you press buttons "1 color", "8 colors", "16 colors", "35 colors", "64 colors" or "256 colors", Contents of this text fields may be determined manually, or the right button of the mouse and color panel may be used for this.
7 | Each connection can be realized with one color or several colors. The choice between these opportunities is carried out with the help of a check box "Multicolor of line". Sequence of colors at realization every connection with several colors correspond to sequence of colors in the color panel. Color property of lines are determined too by choice of one function from list of "1 variant", "2 variant","3 variant","4 variant" and value of slider "Length",
8 | Connections are crossed among themselves. The resulting color of common parts of connections is determined by a mode of imposing of colors. Mode of imposing of colors is determined by the list "Mode imposing of colors".
9 | Elements located under heading "Active window background color" allow you to set background color.


Toolbox Sizes and arrangments

Toolbox "Sizes and arrangement "

Elements description.

1 | With list box "Speed of realization of a line" and "Duration of pause between realizations of lines" you can to control time parameters creating of image.
2 | Textual fields "Image Width" and "Image Height" lets you to set exact sizes of an "Image window". The rough setting of sizes can be executed by moving borders of an "Image window" with the mouse. Width and height can be chosen in a range from 1 pixel and more.
3 | Elements "Selection width", "Selection height", "Selection Offset X" and "Selection Offset Y" allow you to set the sizes and arrangement of clip


Toolbox "Pattern"

There are three modes, in which the construction of the images is carried out by consecutive realization of connections. It is Automatic mode, Multioutline and Manual mode. The option buttons of toolbox "Pattern" allows to choose one from this. If check box "Border" is checked then to connections one more is added which coincides with borders of a clip.

Elements description.

1 | Check box "Border" allow to add border of clip.
2 | The option buttons allow to choose one from 2 modes of creation of the image border.
3 | Width of border and width of lines, which form a clip fill
4 | Elements determining colour of border in simple mode and multioutline.
5 | Elements determining components of border in simple mode and multioutline.
6 | Check box "Fill" allow to add fill of clip.
7 | The option buttons allow to choose one from 4 modes of creation of the image fill.
8 | If the Automatic mode is chosen then one from 26 basic fill styles can be chosen with listbox help.
9 | Nodes, which can be the ends of connections, are located on top, bottom, left and right borders of the image. The amount of these nodes is important parameter. It can be sets with the help of textual fields "Vertical density" and "Horizontal density"
10 | This buttons allow you to set Vertical density and Horizontal density.
11 | Amount of lines making a clip in multioutline.
12 | Scroll bar "Width of multioutline" lets you to set part of image area which is filled by connections of clip. Distance between external and internal connection can be chosen as small then the clip can be similar to a frame.
13 | This buttons allow you to set amount of lines making a clip in multioutline.
14 | Check box "Outline proportion" allow to set shape of external and internal connection will coincide or to differ.
15 | Check box "Direction" allow to set sequence of realization of connections from smaller to large or on the contrary
16 | If check box "Color panel using" is unchecked then colors of connections are determined by located above elements of toolbox "Pattern". Color panel of toolbox "Colors" determines colors of connections other case.
17 | The characteristics of the basic styles and additional styles of filling are determined with the help of this elements.


Toolbox "Resize, flip and rotate"

1 | This elements let you incline bitmap
2 | This elements let you rotate bitmap
3 | This elements let you to set new sizes of bitmap
4 | This elements let you to set new orientation of bitmap
5 | This elements let you to select image or it part and use as bitmap for the subsequent manipulations


Toolbox "Duplicate"

The toolbox "Duplicate image" allows you to create new image or modify image area of existing image. Created image or image area will be represented as complex of identical parts. If the new image is created its sizes can be determined by the size of components from which it consists or the sizes of the new image can be given beforehand.

Elements description.

1 | The amount of parts, from which the clip or image consists, is determined with the help of textual fields "Columns" and "Rows".
2 | Orientation of these parts is determined with the help of option buttons "Configuration".
3 | This option buttons let you to modify selection of active window. If option button "Shaped" is checked a pattern of selected image area is forming by repeating bitmaps. If option button "Generate" is checked pattern is forming by clip creation accordance with existing settings.
4 | This buttons let you to create new image by duplication of bitmap. If option button "Free sizes" is checked sizes of new image are determined by the size of components from which it consists. If option button "Fixed sizes" is checked sizes of new image are determined by textual fields "Width" and "Height".
5 | If the new image is created its sizes can be given previously with the help of textual fields "Width" and "Height". By default sizes are equal 468 and 60. It is standard for Web banners
6 | Before creation of new image or transformation of the original it is necessary to load a bitmap that you can use to fill image area. Elements located under heading "Load texture image" are used for this. Button "Insert selection" let you to use as bitmap selected part of image. Button "Set color" allow to creating bitmap that is painted over by one color rectangular.


Toolbox effects

Effects.

Special effects let you change the appearance of an image. You can apply a special effect to the entire image, or you can use a selection to transform only part of an image. Program provides special effects filters that let you apply a wide range of transformations to images. To use a filter, choose the appropriate check button

Applying filters—especially to large images—can be time-consuming. To save time when trying various filters, experiment on a small, representative part of your image.


Toolbox "Text"

Elements description.

1 | Write down the text that you want to print in this textual field.
2 | Set font parameters.
3 | With the help of these elements the displacement of the printed text concerning the center of the selection is set.
4 | Allow you to set parameters of background rectangular.
5 | Select print mode.
6 | Color of text or text border.
7 | If text fill mode is selected this elements allow you to set amount of textures in horizontal and vertical direction.
8 | If text border mode is selected this elements allow you to set border width.
9 | This elements allow you to select texture.


"Image prototype window."

Window "Image prototype window " serves for construction of the image prototype. The prototype is formed on the same principles as basic image. From the prototype window the created data is transferred to the "Image Window", in which the image accepts final formation accordance with existing settings. The "Image prototype window" is intended for determination of the ends of connections and its width and color.

1 | Image prototype window area
2 | Check boxes let you to set draw width and draw color
3 | The dark blue circles show nodes, lying on the borders of the image. To determine the end of connection you must click on nodes. If two clicks are made on same node or only on the left or right borders, the connection will not be carried out. If between two chosen nodes connection already was carried out, it is erased. In other case two ends are determined and connection may be carried out between end nodes.


Beginning of work.

When you run application two window appeared. They are parent window "Image Generator" and child window "Image Window". If you will press the button "Go" creation of the image will be carried out with use of settings, given by default. Borders of the image are the borders of a window. To change the sizes of the image you can by dragging borders of child window with the help of the mouse or by setting the sizes with the help of elements of a toolbox "Sizes and arrangement". To change the sizes and arrangement of the clip in limits of image borders you can by drawing the selection and moving it with the help of the mouse or setting the sizes with the help of elements of a toolbox "Sizes and arrangement". You select part of an image by drawing with mouse help a line around the image area that you want to select.

Pressing the appropriate buttons or using the menu you can open toolbox "Shape", "Colors", "Pattern" for setting other parameters of the clip.

Having established parameters you can create a clip, having pressed button " Go ". The creation of the new clip will be carried out instead of previous clip in case the button "Clear up" is pressed, or new clip will appear atop of previous, if the button " Clear up " is not pressed.

You can print the text. To set parameters of text elements of a toolbox "Text" are using. The site of the text as well as arrangement of clip set with the help of the mouse or with the help of elements of a dialogue window "Sizes and an arrangement ".

To take advantage of traditional graphic tools which are freehand, line, curve Bezie, eyedropper, erase, fill, zoom, lasso it is necessary to make seen the Toolbar2. To make seen the Toolbar2 click button "Switch on paint tools panel" of Toolbar1. When panel Toolbar2 is seen, manipulations with the mouse result in drawing lines or other operations according to the chosen button of panel Toolbar1.

Pressing of the button " Make a brush " of panel Toolbar1 results in creation of the image according to existing settings and it preservation in memory. This image can be using as a brush. Drawing by a brush can be carried out only at seen panel Toolbar2. Moving of a brush with the help of the mouse is carried out at the pressed button " Brush tool " of panel Toolbar2. Pressing of button " Go " when panel Toolbar2 is seen results in moving a brush on the given trajectory.

Created image can be saved on a disk, or the settings can be changed and the process of generation is started again.


Methods of creating images.

Images creation with Images Generator conditionally can be shared into two methods: drawing and. painting

Drawing

Painting

You can to use created brush

Using brush

Examples of using brush

And you can to use specific especial effects

Abstractionism


Selection.

The sizes and arrangement of a clip are determined by the sizes and arrangement of the Image window area, selected for it. Selected Image area we will call as selection. The border of selection can be shown a dashed line.

Selection can be determined by various ways. You can to select image area not using mouse with toolbar "Sizes and arrangement". Selection can be determined by dragging mouse. With mouse you can to create selection or to change existing one only if toolbar2 is invisible. For definition of selection shape templates can be used. You can set border of selection having determined border of a one-color figure.

There are five modes of delimitation of selection. Switching of these modes is carried out with the help of the button 11 of Toolbar1.

Selection can be used for the following purposes:

  1. For determination of sizes, shape and arrangement of clip
  2. For determination of sizes and shape of brush.
  3. For allocation of a part of the image for copying
  4. For allocation of the image area to paste copied part of image.
  5. For allocation of the image area for transformation it with the help of graphic filters and effects.
  6. For allocation of the image area for transformation it with bitmap fill and clip generation
  7. For allocation of a part of the image for use it for creation of the new image by change of the sizes of the allocated part or its turns and rotations


To open images

To open images. To set background color.

You can open images *.bmp, *.jpg, *.gif. *.png, *.tif, *.emg, *.wmf, *.ico . Each image you open displays in its own image window. To open an image

  1. Click the "Open" button on the toolbar1 or click menu File-Open.
  2. Choose the folder where the file is stored.
  3. Double-click the filename.

To set background color of Image window :

  1. Click the "Color" button on the toolbar1
  2. Click the "Active window background color" button.


To hide or display a toolbar2.

To hide or display toolbar2 click button "Hide or display toolbar2" of toolbar1.


Copy and Paste.

Copy and Paste as new Image.
The switch "Rectangular or border-shaped selection" of Toolbar1 is in position "Rectangular".. | The switch "Rectangular or border-shaped selection" of Toolbar1 is in position "Shape". .
 | Oval | Rhombus | Heart

Paste.
With fixed sizes | With free sizes | Transparent color | Shaped | Paste and add | Alphablend


File formats.

You can to to read and write files in multiple formats. JPEG, PNG, TIF, GIF and BMP files are all supported for reading and writing. You can also read EMG, WMF and ICO files.


Shape settings.

The shape of the clip is determined with the help of a toolbox "Shape". To open the toolbox "Shape" click the Shape button on the Toolbar1 or click item menu Option-Shape. When toolbox "Shape" run you can see three figures. Shape of bottom and midlle figures is determined by elements, located on the right from there. Shape of top figure is determined as sum of bottom and midlle figures

With the help of elements, located left of heading "Orientation and turn", the orientation of axes X and Y can be changed. Also mirror turn concerning axes X and Y can be carried out. The scroll bar "Rotate" enables to rotate clip border. The scroll bar "Distortion" enables to carry out offset of the top border of the clip concerning its bottom border. If the value of a scroll bar "Distortion" is more than 50, offset is carried out to the right, also if the value of a a scroll bar "Distortion" is less than 50, offset is carried out to the left. The scroll bar "Perspective" allows to make borders asymmetrical.


Setting of color.

Color settings.

The determination of the color characteristics is carried out with elements of toolbox "Colors". The color panel represents set of colors used for creation of clip . The color panel simultaneously can represent no more than 35 colors. If the amount of colors in a set is more then 35, it appears seen slider, located under the color panel. With the help of slider any color can be seen.

The amount of colors in a set can be changed by the following ways:

  • With the help of buttons "1 color", "8 colors", "16 colors", "35 colors","64 colors", "256 colors".
  • By typing values in a textual field "Amount of colors". Thus it is necessary to click the button "OK".
  • To add or to remove color it is possible clicking the mouse in the appropriate place of the color panel. Thus the switches "Add color" and "Remove color" should be accordingly established.

Except for amount of colors it is necessary to determine the order of their following and to choose the certain color for each position. If you use buttons "8 colors", "16 colors", "35 colors" color panel show fixed set of colors. If you use buttons "64 colors" or "256 colors" color panel show random set of 64 or 256 colors. The button "1 color" enables to choose sole color manually.
You can specify color order with the help of this elements: the button "Set color order", indicators, switches and text fields "First color", "Second color" and list of functions "Sinusoid", "Gradient", "Exponent", "HLS", "Triangle", "Dexponent". When you click the button "Set color order" order of following of colors is determined in a range given by the contents of indicators and textual fields "First color" and "Second color". The value of textual boxes "First color", "Second color" is determined automatically when you click buttons "1 color", "8 colors", "16 colors", "35 colors", "64 colors", "256 colors", or you can to type value in this boxes manually, or the right button of the mouse and color panel may be used for this.

Connections can be crossed among themselves. Color of common parts of connections is determined by a mode of imposing of colors. Mode of imposing of colors is determined by a way of imposing of colors. The way of imposing of colors is determined by the list "Imposing of colors ".

Each connection can be realized with one color or several colors. The choice between these opportunities is carried out with the help of a check box "Multicolor of line mode". Sequence of colors for every connection corresponds to sequence of colors in the color panel. The way of breakdown of connection on one-color parts is determined with the help of slider "Length" and list box "Multicolor of line mode". There are four variants: "1 variant", "2 variant","3 variant", "4 variant",

To set color of a background button "Active window background color" is used.


Creating and using brush .

Feature of the given program is that the brush does not selected from the preset limited set but is created by the user. Thus there are practically unlimited opportunities at the choice of the shape, sizes, colors and pattern of a brush. Except for that realization of lines with the help of the chosen brush can be carried out not only manually but also on preset trajectories.

Parameters of the sizes, shape, colors and pattern of a brush are setting similarly to installation of parameters of a clip with the help of toolboxes "Shape", "Colors", "Sizes", "Pattern". After installation of parameters for creation of a brush it is necessary to press the button 7 of Toolbar1. After that the brush is saved in memory and can be used for drawing.

Drawing by the chosen brush is carried out when Toolbar2 is visible.

Drawing manually with the help of the mouse is carried out at the pressed button 2 of Toolbar2.

For drawing by a brush on the given trajectory it is necessary preliminary to choose a trajectory. The trajectory is determined with the help of the mouse in modes "Line" and "Freehand" of delimitation of selection or with the help of toolbox "Shape". After the trajectory is chosen it is necessary to press the button "Go" of Toolbar1. Examples:

More examples.


Color sequences settings

Colour sequences settings.


Sizes settings.

Textual fields "Image Width" and "Image Height" of toolbox "Sizes and arrangements" lets you to set exact sizes of a "Image window". The rough setting of sizes can be executed by moving borders of an "Image window" with the mouse. Width and height can be chosen in a range from 1 pixel and more.

Lying under heading "Sizes and arrangement" elements allow to establish the sizes of the image and sizes and arrangement of clip. Textual fields "Image Width" and "Image Height" lets you to set exact sizes of an "Image window". Elements "Selection width", "Selection height", "Selection Offset X" and "Selection Offset Y", "Selection centre X", "Selection centre Y" allow you to set the sizes and arrangement of clip

List box "Speed of realization of a line" and list box "Duration of a pause between realization of lines" allow to determine speed of realization of connections and duration of a pause between realizations of connections


Pattern settings.

The clip is formed by performance of two procedures, each of which can be carried out separately. There is painting over selection area and leading round selection border.
For a choice of a method of formation of a clip the dialogue window "Pattern" is used. Check boxes "Border" and "Fill" allow to include or to not include procedures of painting and leading round. Switches "Simple mode" and "Complex mode ", located to the right of a check box "Border", allow to choosing a method leading round borders of a clip. Switches to the right of check box "Fill" allow choosing a method of painting. Painting over selection area can be executed by mosaic accommodation of textures or consecutive realization of connections. Connection is pieces of straight lines and curves consistently connected among them.

There are three modes, in which the creation of the images is carried out by consecutive realization of connections. These modes are automatic mode, manual mode and multioutline. The option buttons taking place to the right check box "Fill" of toolbox "Pattern" allows to choose one from modes.When you press the button "Go" a series of connections is formed, that results formation of pattern within the limits of borders of the clip. The configuration of connection is determined by a choice of its end nodes. If automatic mode or manual mode is used then end points of connection are the points, lying on border of the clip. If multioutline mode is used then initial and final end points coincide.

The ends of connections are determined by program in an automatic mode and are determined by the user in a manual mode. The realization of connection between two points is carried out according to algorithm of functioning of the program. Settings determine this parameters: amount of nodes of borders or Vertical and Horizontal density, amount of connections, width and height of clips, set of used colors, mode of imposing of colors, color of a background, shape of the clip, orientation of axes, value of time delays.

If the Manual mode is chosen, user sets end nodes, width and color for each connection. Image prototype window is used for this. The "Image prototype window" is intended for determination of the ends of connections and its width and color.

If the Automatic mode is chosen then end nodes, width and color for each connection will be determined automatic. One from more then fifty standard styles can be chosen for this. The styles get out with the help of elements of toolbox "Pattern". If the style "Random" is chosen end nodes of every connection are determined random. If the style "Null" is chosen, no connection will be determined. In other case all parameters are determined automatic. Width of connections is determined by elements "Draw width" of toolbox "Pattern". Determination of additional set of parameters for every style is carried out with the help of the text fields. Samples of created images are shown in figure

Clips, created in "Multioutline" mode, consist of one or several connections, each of which duplicates the shape of the clip in some scale. The color of connections is determined with the help of elements of toolbox "Colors" or with the help of elements of toolbox "Pattern". Amount of connections from which clip consists equal value of text field "Amount of lines".

Complex modes of clip fill and clip leading round border have identical parameters. The set of these parameters is determined with the help of the listbox "Pattern Style" and others.


Samples of patterns.


50 variants of pattern samples.


Manual mode.

Window "Image prototype window " is used for the construction of the image prototype. The prototype is formed on the same principles as basic image. From the prototype window the image is transferred to the "Image Window", in which the image accepts final formation accordance with existing settings. The "Image prototype window" is intended for determination of the ends of connections and its width and color. The dark blue circles display points, lying on the borders of the image. To determine the end of connection you should click on one of points. If two clicks are made on the same points or only on the left or right border, connection will not be determined. If between two chosen points already there is a connection, it will be erased. In other cases both ends of connection are determined, and connection will be carried out between the chosen points.

When ends of connection are determined the common dialog "Color" shown if check box "Color" is checked. It lets to determine the color of the connection. If check box "Color" is not checked, the color of connection is determined by clip settings. Similarly width of a connection may be determined with text field "Draw Width" or by existing settings .
After formation of the prototype press the button "OK". The "Image Window" will be open and result image will be shown. If you click button "Go" image prototype window will be shown again. Additional changes can be made there.


Duplication

The toolbox "Duplication" allows you to create the image as complex of identical parts. The amount of parts, from which the image consists, is determined with the help of textual fields "Columns" and "Rows". Orientation of these parts is determined with the help of option buttons "Configuration". Result of duplication can be transformation of selection of the original image or creation of the new image and new image window. If the new image window is created its sizes can be determined by the size of components from which it consists or the sizes of the new image can be given beforehand.

Before creation of the new image or transformation of the original it is necessary to load a initial image in the display located under heading "Load a texture image". If elements "Fill selection" and "Shaped" or "New image" are checked image is forming by duplication of the initial image. If option button " Generate " is checked the clip is generated according to the established settings within the limits of the existing image.

Check boxes "New image", "Free sizes" and "Fixed sizes" let you to create new image by initial image duplication with creation new image window. If check box "Free sizes" is checked sizes of new image are determined by the size of components from which it consists. If check box "Fixed sizes" is checked sizes of new image are determined by value of textual fields "Width" and "Height". By default sizes are equal 468 and 60. It is standard for Web banners


Text.

Working with text.

Toolbox "Text" allow you to print text. The arrangments of the text you can to set with the help of selection. The textual field located in the top of window, serves for input of the text.

With the help of textual fields Horizontal and Vertical the displacement of the printed text concerning the center of the selection may be set. It allows more precisely to establish a position of the text.

If the check box " Background " is marked, the text is printed inside a framework. The colour of framework filament is determined with the help of the button "Background colour". The colour of text is determined with the help of the button " Text and border colour ". The parameters of a font you can specify with the help of the button "Font".

With help of option buttons you can select one from three modes of printing. There text mode, text fill and text border. If text fill mode is selected elements under heading "Dimensions of texture matrix" allow you to set amount of textures in horizontal and vertical direction. You can to load texture from file or to use selected part of image.

To print text the button "Print" is used.


Stages of creation of the image.

1. Initial image

2.Draw selection

3. Select shape with Toolbox Shape ,
Set amount of colours and colour sequence with toolbox Colors
Set mode "Multioutline" and set width of multioutline with toolbox "Pattern"
Click button "To clear at each start-up" of Toolpanel1
Click button "Go"

4. Similar add one more clip
Click button "Select all" of Toolpanel1
Click menu Edit-Copy

5. Click button "New" of Toolpanel1
Create new clip

6. Draw selection

7. Click menu Edit-Paste-As new selection with free sizes

8. Add one more clip
Click button "Select all" of Toolpanel1
Click menu Edit-Copy

9. Click button "New" of Toolpanel1
Set background color with toolbox "Color" as white
Click menu Edit-Paste-As new selection with transparent colour. Set transparent color

10. Click button "Select all" of Toolpanel1
Click button "Switch on the paint tools panel" of Toolpanel1
Click button "Fill" of Toolpanel2
Set colors and fill image

11. Click button "Insert selection" of toolbox "Duplicate". Set option button "Configuration". Set value of text fields "Columns" and "Rows"
Click button "New image"-"Free sizes".


Drawing by a brush.


Modify selection

Fill shaped selection

1. Create new Image | 2. Select Image area
3. Click button Duplication of Toolbar1 Click button Toolbox Duplicate-Set the initial image or its part-Insert selection Open new image and select Image area | 4. Click button Toolbox Duplicate-Modify selection-Bitmap fill


Zoom

1. Create Image:
Shape-Rectangular
Mode-Multioutline
Checkbox Color panel using is checked
Toolbox Colors: Checkbox Multicolor of lines is checked
Variant 4

2. Select Image area
Click menu Edit-Copy

3 Click menu Edit-Paste-As new Image

4. Click button Switch on paint tools panel of Toolpanel1
Click button Zoom tool
Set 800% 		5. Using buttons Freehand, Line tool, Set paint width, Set paint color, Eyedropper tool, Eraser tool, Set eraser width, Set eraser color of Toolpanel2 modify the image
6. Click button Zoom tool Click menu Edit-Copy
Activate initial window
Click menu Edit-Paste-As new selection with fixed sizes


The handle of turn creation.


Horizontal and Vertical density.

Vertical density is equal to 10 | Vertical density is equal to 16

 Horizontal density is equal to 6

Horizontal density is equal to 16


Collection.


3D Graphic examples

3D Graphic

Images Generator gives such opportunities for creation of volumetric images.

Gradient fill is carried out with allowance for image area borders. Examples:

: volumetric images

Compare innovative gradient fill

You can to create brush choosing shape, color and pattern. Then set trajectory for it movements and let brush to go. Examples:

3d image created panel


Images Generator for engineers and scientists.

Engineers can use Images Generator, for example, for creation of sketches of details.


Banners examples

Banners 120*600, 120*90, 160*90, 336*280, 468*60, 728*90.


Images Generator for artists.

Images Generator provides a plenty of various opportunities that stimulates occurrence of new ideas and allows to artist to open the creative potential completely.

banner art


Wallpaper examples.

wallpaper image | wallpaper art
wallpaper picture | wallpaper


Images Generator for WEB.

The graphic editor allows creating from elements of Web pages as banners and buttons to whole professionally executed Web sites. All graphic of this site is executed using Images Generator only.

Examples:

Banners

Textures

More images


Images Generator for child.

Images Generator combines ample opportunities with simplicity of use. The beginner can quickly learn to work with the application and create images of a high art level. It promotes development of creative abilities at children and imparts skills to expression of ideas by art ways.


New cool effects and opportunities.

effect


Animation.


Product info

Images Generator

Product info

Version 8.01

Last updated: 15.01.2005

Author: Sergey Panasyuk

Copyright: Sergey Panasyuk 2004

Web site:
http://www.imagesgenerator.com

E-mail: p739@stel.sebastopol.ua


LICENSE INFO

License Terms:

The license distributed with "Images Generator" grants you the right to use the "Images Generator" on a single client computer at a time and by a single user at a time, subject to the restrictions listed below and the disclaimer relating to warranties, support and damages.

1. Disclaimer: This software is provided on an "as is" basis, without any other warranties, or conditions, express or implied, including but not limited to warranties of merchantable quality, merchantability or fitness for a particular purpose, or those arising by law, statute, usage of trade or course of dealing. The entire risk as to the results and performance of the Product is assumed by you. Neither we nor our dealers or suppliers shall have any liability to you or any other person or entity for any indirect, incidental, special or consequential damages whatsoever, including but not limited to loss of revenue or profit, lost or damaged data or other commercial or economic loss, even if we have been advised of the possibility of such damages or they are foreseeable; or for claims by a third party. You may have other rights which vary from state to state.

2. Restrictions: This license gives you the right to use this software but all rights not specifically mentioned in this agreement, including ownership rights, intellectual property rights, trademarks and copyright, are reserved by Sergey Panasyuk. You may not decompile, reverse engineer, disassemble or otherwise reduce the software to a human perceivable form. You may not modify, rent or resell for profit the software, or create derivative works based upon the software.


Order for Images Generator

Price in US$ : $30
Price in Euro: $29

If you would like to purchase a license for Images Generator, you can order on-line at:

https://secure.element5.com/shareit/checkout.html?productid=156789&language=English

Or you can go to http://www.shareit.com and enter the program ID number 156789 in the search window at the bottom left of the screen.

We also accept orders via email at: support@shareit.com

If you are not yet on-line, you can place your order with our customer service team by phone, fax or postal mail.

Please print out the following form, and fax or mail it to:

ShareIt!
element 5 AG
Vogelsanger Str. 78
50823 Cologne
Germany

Phone: +49-221-31088-20
Fax: +49-221-31088-29
E-Mail: support@shareit.com

US and Canadian customers may also order by calling toll-free
1-800-903-4152.

This hotline is only for ordering. Unfortunately, we cannot provide any
technical assistance or technical information about the program. You must
contact the programmer directly for technical support at:
p739@stel.sebastopol.ua

US check and cash orders can be sent to our US office at:
ShareIt! Inc.
P.O. Box 844
Greensburg, PA 15601, USA
Phone: (724) 850 - 8186
Fax: (724) 850 - 8187

*** ALL CHECKS SENT TO THE U.S. OFFICE MUST BE MADE
PAYABLE TO: "ShareIt! Inc." ***

Registration Form for Images Generator

Program-ID :

Last Name:
_______________________________________

First Name:
_______________________________________

Company:
_______________________________________

VAI-ID-No. (if applicable)
_______________________________________

Address:
_______________________________________

Postal Code and City:
_______________________________________

Country:
_______________________________________

Phone:
_______________________________________

Fax:
_______________________________________

E-Mail:
_______________________________________

How would you like to receive the registration key/full version?
e-mail - fax - postal mail

How would you like to pay the registration fee:
credit card - wire transfer - check - cash

Credit Card Information (if applicable)
Credit Cards: Visa - Eurocard/Mastercard - American Express - Diners Club

Card Holder: ________________________________

Card No.: ___________________________________

Expiration Date: ________

Date / Signature: ___________________________


Abstractionism.

Images Generator provides a plenty of various opportunities that stimulates occurrence of new ideas and allows to artist to open the creative potential completely.

abstract texture
abstraction

abstration

More examples


Use an adjusted brush.

You can to create brush choosing shape, color and pattern. Then set trajectory for it movements and let brush to go. Examples:


Drawing

Images Generator as well as other graphic editors uses for drawing such tools as pen tool (free hand), line tool, polyline tool and bezier tool. With the help of these tools Images Generator allows to draw one-color straight lines, curves or containing multiple lines shapes.
Besides drawing can be carried out with the help of shape templates as ellipse or rectangular. Images Generator has plenty built-in shape templates. You can to determine sizes, angle of turn and proportions for every template. You can to drag templates with mouse and to transfer templates from one image window to another with changed scale. Shape templates determine trajectory which may be painted over with one of methods. Process of creation of image consists in dragging shape templates and addition of separate fragments similarly to construction of a small house from cubes.

Except for the built - in templates the user with their help can to create new one for short time. For this purpose the one-color image having the shape of a required template is created, and to this image operation of border determination is applied. Operation of border determination is carried out with the help of color selection tool.

More shape template examples click here.

Images Generator provides additional opportunities for drawing lines. For this purpose the trajectory is set in lines mode of selection tool. After that this trajectory is painted over by one of methods of painting. It allows painting over lines with different colors and different patterns and also allows 3d effect and other opportunities.


Gradient Fill.

Gradient fill is carried out with allowance for image area borders. Lines which configuration is determined by image area borders are used for this. The chosen function of gradient fill determines color of each line. Moreover Gradient Fill is a special case of the common method of painting. Examples:

How it work.

Compare


Shape templates examples

Built-in shape templates.

Shape templates as sum of built-in templates.

Created template.


Painting.

Painting with Images Generator is carried out similarly to painting with help of color pencils. The user sets image area. That image area is painted over by one of method. The resulting image is association of the painted over image areas.

There are some methods to set image area. They are:

  • You can to set image area by dragging mouse. One of this modes of selection tool: freehand, line or rectangular must be choosing.
  • You can to set image area by using one from shape templates. Shape mode of selection tool must be choosing .
  • You can also to set image area having clicked the mouse within the limits of an one-color figure. Color selection mode of selection tool must be choosing. In this case there will be a delimitation of one-color area.

There plenty methods of painting over selected image area. You can to choose one from this method by using pattern window. Images below show some examples.

To the allocated image area filters and functions of transformation of color can be applied.